{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configuration-flags;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Outils réseau
    iperf         # outil de mesure de la qualité du réseau
    iptraf-ng     # outil de mesure de la qualité du réseau
    nload         # affichage de statisques d'utilisation instantannées du réseau
    telnet

    ## Diagnostic
    arp-scan
    nmap          # outil de scan de port réseau
    whois
  ];

  # Paquets avec setuid root
  security.wrappers = {
    # outil de diagnostic réseau
    mtr.source = "${pkgs.mtr}/bin/mtr";
  };

  networking.firewall = {
    allowedTCPPorts = [
      5201 # iperf
    ];
    allowedUDPPorts = [
      5201 # iperf
    ];
  };
}
